#include "bullet.h"

/******************
Implementation for Bullet class
*******************/


/**************
Default constructor
***************/

Bullet::Bullet()
{
 xvelocity = 0.0f/1000;
 yvelocity = -1000.0f/1000;
 x = 0;
 y = 0;
}

/**************
Gets X coordinate of bullet
***************/

int Bullet::getX()
{
 return x;
}

/**************
Gets Y coordinate of bullet
***************/

int Bullet::getY()
{
 return y;
}

/**************
Gets X velocity of bullet
***************/
float Bullet::getXVelocity()
{
 return xvelocity;
}

/**************
Gets Y velocity of bullet
***************/
float Bullet::getYVelocity()
{
 return yvelocity;
}

/**************
Gets RECT structure for bullet
***************/

RECT Bullet::getBulletRect()
{
 return bulletrect;
}

/**************
Sets X and Y coordinates of bullet
***************/

void Bullet::setPos(int new_x, int new_y)
{
 x = new_x;
 y = new_y;
 bulletrect.left = x;
 bulletrect.top = y;
 bulletrect.right = x + 20;
 bulletrect.bottom = y + 20;
}

/**************
Sets velocity of bullet
***************/

void Bullet::setVelocity(float new_x, float new_y)
{
 xvelocity = new_x;
 yvelocity = new_y;
}


/**************
Draws bullet at position (new_x, new_y)
***************/

void Bullet::drawBullet(int new_x, int new_y, LPDIRECTDRAWSURFACE7 dest, int scalefactor)
{
 x = new_x;
 y = new_y;

 bulletrect.left = x - scalefactor;
 bulletrect.top = y - scalefactor;
 bulletrect.right = (x + 20) + scalefactor; //make rect a bit larger so it's easier for collisions
 bulletrect.bottom = (y + 20) + scalefactor;
 
 drawPixel(x, y, 254, 254, 254, dest, scalefactor);

}

/**************
Destructor
***************/
Bullet::~Bullet()
{

}