#include "globals.h"
#include "ddrawfunctions.h"

class Enemy
{
private:
 int x; //x position of bullet
 int y; //y position of bullet
 float xvelocity; //xvelocity of bullet
 float yvelocity; //yvelocity of bullet
 int width; //width of enemy object
 int height; //height of enemy object
 int currentframe; //current movement frame of enemy
 LPDIRECTDRAWSURFACE7 enemysurface[3]; //surfaces for holding bitmap animations
 RECT enemyrect; //rectangle of enemy object for collision testing
 DDCOLORKEY key;

public:
 Enemy();
 Enemy(int new_x, int new_y);
 int getX();
 int getY();
 float getXVelocity();
 float getYVelocity();
 int getCenterX();
 int getCenterY();

 RECT getEnemyRect();
 DDCOLORKEY getColorKey();

 void setPos(int new_x, int new_y);
 void setVelocity(float new_x, float new_y);

 void loadFrames();
 void keepInbounds();

 void drawEnemy(int new_x, int new_y, unsigned int new_currentframe, LPDIRECTDRAWSURFACE7 dest, int scalefactor);
 ~Enemy();
};