/**************************************
GLOBALS.H

USED TO STORE ALL GLOBAL VARIABLES, PROTOTYPES, ETC. FOR THE PROGRAM, DUH.

***************************************/
#ifndef INCLUDED  //keeps all this stuff from being included more than once
#define INCLUDED 1

#include <windows.h>
#include <windowsx.h>
#include <stdlib.h>

#define WIN32_LEAN_AND_MEAN

///////////////////////////////
//GAME FUNCTIONS AND VARIABLES
///////////////////////////////

#define SCREEN_WIDTH 800
#define SCREEN_HEIGHT 600
#define SCREEN_BPP 16
#define RGB16BIT565(r,g,b) ((b>>3) | ((g>>2) << 5) | ((r>>3) <<11)) 

#define SHIP_STILL 0
#define SHIP_MOVING 1

#define ENEMY_STILL 0
#define ENEMY_MOVING 1
#define ENEMY_EXPLODE 2

#define BOMBSLOT 0
#define EXTRAGUNSLOT 1
#define RAPIDFIREGUNSLOT 2

#define MAX_ENEMIES 20
#define MAX_BULLETS 3

#define MOUSE_LEFT_BUTTON 0
#define MOUSE_RIGHT_BUTTON 1
#define MOUSE_MIDDLE_BUTTON 2

#define MIXRATE 44100
#define MAX_SOFTWARE_CHANNELS 32
#define MAX_SONGS 6

enum POWERUPTYPE {bombpowerup, elasticgunpowerup, extragunpowerup, napalmpowerup, rapidfirepowerup, 
                  bombbullet, elasticbullet, extragunbullet, napalmbullet, rapidfirebullet};

enum INPUTCODE {move_up = 1, move_down, move_left, move_right};

extern DWORD starttimer;
extern DWORD endtimer;
extern DWORD timerdiff;
extern DWORD timepassed; //time passed since start of game
extern DWORD starttimepassed;
extern HINSTANCE main_instance;


int startupGame(HWND);
void shutdownGame();
int gameLoop(HWND);
bool isCollision(RECT rect1, RECT rect2);
#endif
