#include "ship.h"

Ship::Ship(int new_x, int new_y, unsigned int new_currentframe)
{
 x = new_x;
 y = new_y;
 xvelocity = 384.0f / 1000;
 yvelocity = 384.0f / 1000;

 currentframe = new_currentframe;
}

int Ship::getX()
{
 return x;
}

int Ship::getY()
{
 return y;
}

int Ship::getCenterX()
{
 int centerx = shiprect.left + (width/2);

 return centerx;
}

int Ship::getCenterY()
{
 int centery = shiprect.top + (height/2);

 return centery;
}


float Ship::getXVelocity()
{
 return xvelocity;
}

float Ship::getYVelocity()
{
 return yvelocity;
}

int Ship::getShipInput()
{
 return 0;
}

int Ship::getCurrentFrame()
{
 return currentframe;
}

void Ship::setPos(int new_x, int new_y)
{
 x = new_x;
 y = new_y;
}

void Ship::setVelocity(float new_x, float new_y)
{
 xvelocity = new_x;
 yvelocity = new_y;
}

void Ship::drawShip(int new_x, int new_y, int new_currentFrame, LPDIRECTDRAWSURFACE7 dest, int scalefactor)
{
 x = new_x;
 y = new_y;

 shiprect.left = x - scalefactor;
 shiprect.top = y - scalefactor;
 shiprect.right = (x + width) + scalefactor;
 shiprect.bottom = (y + width) + scalefactor;

 drawObject(x, y, ship[new_currentFrame], dest, scalefactor, key);
}

void Ship::loadFrames()
{
 DDSURFACEDESC2 tempsd;

 ZeroMemory(&tempsd, sizeof(tempsd));
 tempsd.dwSize = sizeof(tempsd);

 ship[SHIP_STILL] = newPicture("bitmaps\\shipstill.bmp");
 ship[SHIP_MOVING] = newPicture("bitmaps\\shipmove.bmp");

 shiprect.left = x;
 shiprect.top = y;
  
 ship[SHIP_STILL]->GetSurfaceDesc(&tempsd);
 width = (int)tempsd.dwWidth;
 height = (int)tempsd.dwHeight;

 shiprect.right = shiprect.left + width;
 shiprect.bottom = shiprect.bottom + height;

 key.dwColorSpaceLowValue = RGB16BIT565(0, 0, 0);
 key.dwColorSpaceLowValue = RGB16BIT565(0, 0, 0);

 for(int i = 0; i < 2; i++)
  if(FAILED(ship[i]->SetColorKey(DDCKEY_SRCBLT, &key)))
   if(MessageBox(NULL, "setcolorkey didn't work!", "error!", MB_OK) == IDOK)
    exit(0);
}

RECT Ship::getShipRect()
{
 return shiprect;
}

DDCOLORKEY Ship::getColorKey()
{
 return key;
}


Ship::~Ship()
{
 for(int i = 0; i < 2; i++)
 {
  if(ship[i])
  {
  ship[i]->Release();
  ship[i] = NULL;
  }
 }
   
}

