#include "globals.h"
#include "ddrawfunctions.h"
#include "dinputfunctions.h"
#include "ddutil.h"

class Ship
{
private:
 int x; //stores x position of ship on screen
 int y; //stores y position of ship on screen
 float xvelocity; //x velocity of ship
 float yvelocity; //y velocity of ship
 int currentframe;
 LPDIRECTDRAWSURFACE7 ship[2]; //direct draw surface for ship bitmaps
 RECT shiprect;
 DDCOLORKEY key;
 int width;
 int height;

public:
 Ship(int new_x, int new_y, unsigned int new_currentFrame);
 int getX();
 int getY();
 int getCenterX();
 int getCenterY();
 float getXVelocity();
 float getYVelocity();
 int  getShipInput();
 int  getCurrentFrame();
 RECT getShipRect();
 DDCOLORKEY getColorKey();

 void setPos(int new_x, int new_y);
 void setVelocity(float new_x, float new_y);

 void drawShip(int new_x, int new_y, int new_currentframe, LPDIRECTDRAWSURFACE7 dest, int scalefactor);
 void loadFrames();
 ~Ship();

};